For Developers

Fetch Source

GET https://ed.link/api/v2/teams/:team_id/sources/:source_id

Returns a model-shaped MikroORM Source entity with provider, totals, last sync, and extractor metadata populated.

Requires the sources.read system permission.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/sources/${source_id}`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "5d149266-95d2-42cf-8660-8b528b3bfba3",
        "created_date": "2020-02-14T17:20:06.254Z",
        "updated_date": "2025-06-01T09:00:00.000Z",
        "name": "Edlink University Canvas",
        "state": "active",
        "provider": {
            "id": "035d6dd6-1569-47b2-8ed8-63435be58078",
            "name": "Canvas",
            "application": "canvas",
            "allows_data_sync": true
        },
        "sync_interval": 86400,
        "import_interval": 3600,
        "log_retention_time": 604800
    }
}
  • PATCH /api/v2/teams/:team_id/sources/:source_id — Update source settings
  • PATCH /api/v2/teams/:team_id/sources/:source_id/status — Change source state
  • DELETE /api/v2/teams/:team_id/sources/:source_id — Destroy a source